<?php

/**
 * This file contains package_quiqqer_health_ajax_linkchecker_job
 */

/**
 * Returns the date of one linkchecker job
 *
 * @param string|integer $jobId - Linkchecker Job-ID
 *
 * @return array
 */
QUI::$Ajax->registerFunction(
    'package_quiqqer_health_ajax_linkchecker_job',
    function ($jobId) {
        $Handler = new QUI\Health\Linkchecker\Handler();
        $Grid = new QUI\Utils\Grid();

        $Job = $Handler->getChild($jobId);
        $data = [];

        if (method_exists($Job, 'getData')) {
            $data = $Job->getData();
        }

        return $Grid->parseResult($data, count($data));
    },
    array('jobId'),
    'Permission::checkAdminUser'
);
